"""
 Local constants
"""

import functions, pygame, os
from pygame.locals import *

pygame.init ()

DISPLAY_CAPTION = 'Coloring Book'
DISPLAY_SIZE = ( 640, 480 )
CANVAS_SIZE = ( 600, 400 )
FONT_FACE = os.path.join ( 'fonts', 'freesansbold.ttf' )
FONT_SIZE = 20
DEFAULT_FONT = pygame.font.Font ( FONT_FACE, FONT_SIZE )

MASK_COLORS_IMAGE = os.path.join ( 'images', 'mask_colors.png' )
COLORS_IMAGE = os.path.join ( 'images', 'colors.png' )
ARROWS_IMAGE = os.path.join ( 'images', 'arrows.png' )
ARROWS_HIGHLIGHT_IMAGE = os.path.join ( 'images', 'arrows-highlight.png' )
SNAPSHOT_IMAGE = os.path.join ( 'images', 'snapshot.png' )
SNAPSHOT_HIGHLIGHT_IMAGE = os.path.join ( 'images', 'snapshot-highlight.png' )
UNDO_IMAGE = os.path.join ( 'images', 'undo.png' )
UNDO_HIGHLIGHT_IMAGE = os.path.join ( 'images', 'undo-highlight.png' )
CURSOR_IMAGE = os.path.join ( 'images', 'cursor.png' )

SNAPSHOT_DIR = functions.personal_directory ( 'snapshots' )

# Need this crap or coloring doesn't work at shitty color depths.
pygame.display.set_mode ( DISPLAY_SIZE )
img = pygame.image.load ( MASK_COLORS_IMAGE ).convert ()
LAYER_MASK = img.get_at ( ( 0, 0 ) )
CANVAS_MASK = img.get_at ( ( 1, 0 ) )
del img

DEFAULT_COLOR = ( 171, 205, 239, 255 )
FONT_COLOR = ( 0, 0, 255, 255 )
OUTLINE_COLOR = ( 255, 255, 255, 255 )
BACKGROUND_COLOR = ( 255, 255, 255, 255 )
CHROME_COLOR = ( 255, 32, 32, 255 )
LIGHT_EDGE_COLOR = ( 255, 255, 255, 255 )
DARK_EDGE_COLOR = ( 0, 0, 0, 255 )

INIT = USEREVENT + 1
