"""
 UI module of coloring book.

 Sets up main loop and processes events.
"""

import coloring_book, pygame, sys
from locals import *

class UI:
	def __init__ ( self ):
		pygame.init ()
		pygame.display.set_caption ( DISPLAY_CAPTION )
		pygame.mouse.set_visible ( False )
		self.screen = pygame.display.set_mode ( DISPLAY_SIZE )
		self.clock = pygame.time.Clock ()
		self.cb = coloring_book.book ()

	def main ( self ):
		pygame.event.set_allowed ( None )
		pygame.event.set_allowed ( [ INIT, QUIT, KEYDOWN, MOUSEBUTTONDOWN, MOUSEMOTION ] )
		event = pygame.event.Event ( INIT )
		while True:
			self.clock.tick ( 40 )
			self.iput ( event )
			self.game ( event )
			self.oput ( event )
			event = pygame.event.poll ()

	def oput ( self, event ):
		groups = self.cb.draw ()
		if groups:
			for group in groups:
				group.draw ( self.screen )
			pygame.display.update ()

	def iput ( self, event ):
		if event.type is MOUSEMOTION:
			self.cb.move_cursor ( event.pos, event.buttons )
		elif event.type is MOUSEBUTTONDOWN:
			self.cb.check_click ( event.pos )
		elif event.type is KEYDOWN:
			if event.key == K_ESCAPE:
				pygame.event.post ( pygame.event.Event ( QUIT ) )

	def game ( self, event ):
		if event.type is QUIT:
			sys.exit ()
